Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web.loadbalancer
Interface LoadbalancerServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  LoadbalancerService

public interface LoadbalancerServiceMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`void` | `addRequestData(Request schedRequest)`
`void` | `createMethod(Request schedRequest)`
`int` | `getConnectionsInUse()` Get the currently used connections to slave hosts.
`int` | `getConnectionTimeout()` Get the currently used connection timeout to slave hosts.
`javax.management.ObjectName` | `getScheduler()` Get the scheduler for this Loadbalancer.
`void` | `handleRequest(Request schedRequest)`
`void` | `setConnectionTimeout(int newTimeout)` Set the currently used connection timeout to slave hosts.
`void` | `setScheduler(javax.management.ObjectName schedulerObjectName)` Set the scheduler for this Loadbalancer.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### setScheduler

    public void setScheduler(javax.management.ObjectName schedulerObjectName)

  Set the scheduler for this Loadbalancer.

  Parameters:
    `schedulerObjectName` -

### getScheduler

    public javax.management.ObjectName getScheduler()

  Get the scheduler for this Loadbalancer.

### getConnectionTimeout

    public int getConnectionTimeout()

  Get the currently used connection timeout to slave hosts.

### setConnectionTimeout

    public void setConnectionTimeout(int newTimeout)

  Set the currently used connection timeout to slave hosts.

### getConnectionsInUse

    public int getConnectionsInUse()

  Get the currently used connections to slave hosts.

### createMethod

    public void createMethod(Request schedRequest)
                      throws NoHostAvailableException

  Throws:
    `NoHostAvailableException`

### addRequestData

    public void addRequestData(Request schedRequest)

### handleRequest

    public void handleRequest(Request schedRequest)
                       throws javax.servlet.ServletException,
                              IOException

  Throws:
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.